Package org.apache.groovy.parser.antlr4

# Class GroovyLangParser

java.lang.Object
org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>
org.antlr.v4.runtime.Parser
org.apache.groovy.parser.antlr4.AbstractParser
org.apache.groovy.parser.antlr4.GroovyParser
org.apache.groovy.parser.antlr4.GroovyLangParser

All Implemented Interfaces:
  `SyntaxErrorReportable`

public class GroovyLangParser extends org.apache.groovy.parser.antlr4.GroovyParser
The parser for Groovy programming language, which is based on the parser generated by Antlr4

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.groovy.parser.antlr4.GroovyParser

  `org.apache.groovy.parser.antlr4.GroovyParser.AdditiveExprAltContext, org.apache.groovy.parser.antlr4.GroovyParser.AndExprAltContext, org.apache.groovy.parser.antlr4.GroovyParser.AnnotatedQualifiedClassNameContext, org.apache.groovy.parser.antlr4.GroovyParser.AnnotationContext, org.apache.groovy.parser.antlr4.GroovyParser.AnnotationNameContext, org.apache.groovy.parser.antlr4.GroovyParser.AnnotationsOptContext, org.apache.groovy.parser.antlr4.GroovyParser.AnonymousInnerClassDeclarationContext, org.apache.groovy.parser.antlr4.GroovyParser.ArgumentsContext, org.apache.groovy.parser.antlr4.GroovyParser.ArrayInitializerContext, org.apache.groovy.parser.antlr4.GroovyParser.AssertStatementContext, org.apache.groovy.parser.antlr4.GroovyParser.AssertStmtAltContext, org.apache.groovy.parser.antlr4.GroovyParser.AssignmentExprAltContext, org.apache.groovy.parser.antlr4.GroovyParser.BlockContext, org.apache.groovy.parser.antlr4.GroovyParser.BlockStatementContext, org.apache.groovy.parser.antlr4.GroovyParser.BlockStatementsContext, org.apache.groovy.parser.antlr4.GroovyParser.BlockStatementsOptContext, org.apache.groovy.parser.antlr4.GroovyParser.BlockStmtAltContext, org.apache.groovy.parser.antlr4.GroovyParser.BooleanLiteralAltContext, org.apache.groovy.parser.antlr4.GroovyParser.BreakStatementContext, org.apache.groovy.parser.antlr4.GroovyParser.BreakStmtAltContext, org.apache.groovy.parser.antlr4.GroovyParser.BuiltInTypeContext, org.apache.groovy.parser.antlr4.GroovyParser.BuiltInTypePrmrAltContext, org.apache.groovy.parser.antlr4.GroovyParser.CastExprAltContext, org.apache.groovy.parser.antlr4.GroovyParser.CastParExpressionContext, org.apache.groovy.parser.antlr4.GroovyParser.CatchClauseContext, org.apache.groovy.parser.antlr4.GroovyParser.CatchTypeContext, org.apache.groovy.parser.antlr4.GroovyParser.ClassBodyContext, org.apache.groovy.parser.antlr4.GroovyParser.ClassBodyDeclarationContext, org.apache.groovy.parser.antlr4.GroovyParser.ClassDeclarationContext, org.apache.groovy.parser.antlr4.GroovyParser.ClassicalForControlContext, org.apache.groovy.parser.antlr4.GroovyParser.ClassNameContext, org.apache.groovy.parser.antlr4.GroovyParser.ClassOrInterfaceModifierContext, org.apache.groovy.parser.antlr4.GroovyParser.ClassOrInterfaceModifiersContext, org.apache.groovy.parser.antlr4.GroovyParser.ClassOrInterfaceModifiersOptContext, org.apache.groovy.parser.antlr4.GroovyParser.ClassOrInterfaceTypeContext, org.apache.groovy.parser.antlr4.GroovyParser.ClosureContext, org.apache.groovy.parser.antlr4.GroovyParser.ClosureOrLambdaExpressionContext, org.apache.groovy.parser.antlr4.GroovyParser.ClosureOrLambdaExpressionPrmrAltContext, org.apache.groovy.parser.antlr4.GroovyParser.CommandArgumentContext, org.apache.groovy.parser.antlr4.GroovyParser.CommandExprAltContext, org.apache.groovy.parser.antlr4.GroovyParser.CommandExpressionContext, org.apache.groovy.parser.antlr4.GroovyParser.CompactConstructorDeclarationContext, org.apache.groovy.parser.antlr4.GroovyParser.CompilationUnitContext, org.apache.groovy.parser.antlr4.GroovyParser.ConditionalExprAltContext, org.apache.groovy.parser.antlr4.GroovyParser.ConditionalStatementContext, org.apache.groovy.parser.antlr4.GroovyParser.ConditionalStmtAltContext, org.apache.groovy.parser.antlr4.GroovyParser.ContinueStatementContext, org.apache.groovy.parser.antlr4.GroovyParser.ContinueStmtAltContext, org.apache.groovy.parser.antlr4.GroovyParser.CreatedNameContext, org.apache.groovy.parser.antlr4.GroovyParser.CreatorContext, org.apache.groovy.parser.antlr4.GroovyParser.DimContext, org.apache.groovy.parser.antlr4.GroovyParser.DoWhileStmtAltContext, org.apache.groovy.parser.antlr4.GroovyParser.DynamicMemberNameContext, org.apache.groovy.parser.antlr4.GroovyParser.ElementValueArrayInitializerContext, org.apache.groovy.parser.antlr4.GroovyParser.ElementValueContext, org.apache.groovy.parser.antlr4.GroovyParser.ElementValuePairContext, org.apache.groovy.parser.antlr4.GroovyParser.ElementValuePairNameContext, org.apache.groovy.parser.antlr4.GroovyParser.ElementValuePairsContext, org.apache.groovy.parser.antlr4.GroovyParser.ElementValuesContext, org.apache.groovy.parser.antlr4.GroovyParser.EmptyDimsContext, org.apache.groovy.parser.antlr4.GroovyParser.EmptyDimsOptContext, org.apache.groovy.parser.antlr4.GroovyParser.EmptyStmtAltContext, org.apache.groovy.parser.antlr4.GroovyParser.EnhancedArgumentListElementContext, org.apache.groovy.parser.antlr4.GroovyParser.EnhancedArgumentListInParContext, org.apache.groovy.parser.antlr4.GroovyParser.EnhancedForControlContext, org.apache.groovy.parser.antlr4.GroovyParser.EnhancedStatementExpressionContext, org.apache.groovy.parser.antlr4.GroovyParser.EnumConstantContext, org.apache.groovy.parser.antlr4.GroovyParser.EnumConstantsContext, org.apache.groovy.parser.antlr4.GroovyParser.EqualityExprAltContext, org.apache.groovy.parser.antlr4.GroovyParser.ExclusiveOrExprAltContext, org.apache.groovy.parser.antlr4.GroovyParser.ExpressionContext, org.apache.groovy.parser.antlr4.GroovyParser.ExpressionInParContext, org.apache.groovy.parser.antlr4.GroovyParser.ExpressionListContext, org.apache.groovy.parser.antlr4.GroovyParser.ExpressionListElementContext, org.apache.groovy.parser.antlr4.GroovyParser.ExpressionStmtAltContext, org.apache.groovy.parser.antlr4.GroovyParser.FieldDeclarationContext, org.apache.groovy.parser.antlr4.GroovyParser.FinallyBlockContext, org.apache.groovy.parser.antlr4.GroovyParser.FloatingPointLiteralAltContext, org.apache.groovy.parser.antlr4.GroovyParser.ForControlContext, org.apache.groovy.parser.antlr4.GroovyParser.ForInitContext, org.apache.groovy.parser.antlr4.GroovyParser.FormalParameterContext, org.apache.groovy.parser.antlr4.GroovyParser.FormalParameterListContext, org.apache.groovy.parser.antlr4.GroovyParser.FormalParametersContext, org.apache.groovy.parser.antlr4.GroovyParser.ForStmtAltContext, org.apache.groovy.parser.antlr4.GroovyParser.ForUpdateContext, org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext, org.apache.groovy.parser.antlr4.GroovyParser.GstringContext, org.apache.groovy.parser.antlr4.GroovyParser.GstringPathContext, org.apache.groovy.parser.antlr4.GroovyParser.GstringPrmrAltContext, org.apache.groovy.parser.antlr4.GroovyParser.GstringValueContext, org.apache.groovy.parser.antlr4.GroovyParser.IdentifierContext, org.apache.groovy.parser.antlr4.GroovyParser.IdentifierPrmrAltContext, org.apache.groovy.parser.antlr4.GroovyParser.IfElseStatementContext, org.apache.groovy.parser.antlr4.GroovyParser.ImportDeclarationContext, org.apache.groovy.parser.antlr4.GroovyParser.InclusiveOrExprAltContext, org.apache.groovy.parser.antlr4.GroovyParser.IndexPropertyArgsContext, org.apache.groovy.parser.antlr4.GroovyParser.IntegerLiteralAltContext, org.apache.groovy.parser.antlr4.GroovyParser.KeywordsContext, org.apache.groovy.parser.antlr4.GroovyParser.LabeledStmtAltContext, org.apache.groovy.parser.antlr4.GroovyParser.LambdaBodyContext, org.apache.groovy.parser.antlr4.GroovyParser.ListContext, org.apache.groovy.parser.antlr4.GroovyParser.ListPrmrAltContext, org.apache.groovy.parser.antlr4.GroovyParser.LiteralContext, org.apache.groovy.parser.antlr4.GroovyParser.LiteralPrmrAltContext, org.apache.groovy.parser.antlr4.GroovyParser.LocalVariableDeclarationContext, org.apache.groovy.parser.antlr4.GroovyParser.LocalVariableDeclarationStmtAltContext, org.apache.groovy.parser.antlr4.GroovyParser.LogicalAndExprAltContext, org.apache.groovy.parser.antlr4.GroovyParser.LogicalOrExprAltContext, org.apache.groovy.parser.antlr4.GroovyParser.LoopStatementContext, org.apache.groovy.parser.antlr4.GroovyParser.LoopStmtAltContext, org.apache.groovy.parser.antlr4.GroovyParser.MapContext, org.apache.groovy.parser.antlr4.GroovyParser.MapEntryContext, org.apache.groovy.parser.antlr4.GroovyParser.MapEntryLabelContext, org.apache.groovy.parser.antlr4.GroovyParser.MapEntryListContext, org.apache.groovy.parser.antlr4.GroovyParser.MapPrmrAltContext, org.apache.groovy.parser.antlr4.GroovyParser.MemberDeclarationContext, org.apache.groovy.parser.antlr4.GroovyParser.MethodBodyContext, org.apache.groovy.parser.antlr4.GroovyParser.MethodDeclarationContext, org.apache.groovy.parser.antlr4.GroovyParser.MethodNameContext, org.apache.groovy.parser.antlr4.GroovyParser.ModifierContext, org.apache.groovy.parser.antlr4.GroovyParser.ModifiersContext, org.apache.groovy.parser.antlr4.GroovyParser.ModifiersOptContext, org.apache.groovy.parser.antlr4.GroovyParser.MultipleAssignmentExprAltContext, org.apache.groovy.parser.antlr4.GroovyParser.MultiplicativeExprAltContext, org.apache.groovy.parser.antlr4.GroovyParser.NamedPropertyArgsContext, org.apache.groovy.parser.antlr4.GroovyParser.NamePartContext, org.apache.groovy.parser.antlr4.GroovyParser.NewPrmrAltContext, org.apache.groovy.parser.antlr4.GroovyParser.NlsContext, org.apache.groovy.parser.antlr4.GroovyParser.NonWildcardTypeArgumentsContext, org.apache.groovy.parser.antlr4.GroovyParser.NullLiteralAltContext, org.apache.groovy.parser.antlr4.GroovyParser.PackageDeclarationContext, org.apache.groovy.parser.antlr4.GroovyParser.ParenPrmrAltContext, org.apache.groovy.parser.antlr4.GroovyParser.ParExpressionContext, org.apache.groovy.parser.antlr4.GroovyParser.PathElementContext, org.apache.groovy.parser.antlr4.GroovyParser.PathExpressionContext, org.apache.groovy.parser.antlr4.GroovyParser.PostfixExprAltContext, org.apache.groovy.parser.antlr4.GroovyParser.PostfixExpressionContext, org.apache.groovy.parser.antlr4.GroovyParser.PowerExprAltContext, org.apache.groovy.parser.antlr4.GroovyParser.PrimaryContext, org.apache.groovy.parser.antlr4.GroovyParser.PrimitiveTypeContext, org.apache.groovy.parser.antlr4.GroovyParser.QualifiedClassNameContext, org.apache.groovy.parser.antlr4.GroovyParser.QualifiedClassNameListContext, org.apache.groovy.parser.antlr4.GroovyParser.QualifiedNameContext, org.apache.groovy.parser.antlr4.GroovyParser.QualifiedNameElementContext, org.apache.groovy.parser.antlr4.GroovyParser.QualifiedNameElementsContext, org.apache.groovy.parser.antlr4.GroovyParser.QualifiedStandardClassNameContext, org.apache.groovy.parser.antlr4.GroovyParser.RegexExprAltContext, org.apache.groovy.parser.antlr4.GroovyParser.RelationalExprAltContext, org.apache.groovy.parser.antlr4.GroovyParser.ResourceContext, org.apache.groovy.parser.antlr4.GroovyParser.ResourceListContext, org.apache.groovy.parser.antlr4.GroovyParser.ResourcesContext, org.apache.groovy.parser.antlr4.GroovyParser.ReturnStmtAltContext, org.apache.groovy.parser.antlr4.GroovyParser.ReturnTypeContext, org.apache.groovy.parser.antlr4.GroovyParser.RparenContext, org.apache.groovy.parser.antlr4.GroovyParser.ScriptStatementContext, org.apache.groovy.parser.antlr4.GroovyParser.ScriptStatementsContext, org.apache.groovy.parser.antlr4.GroovyParser.SepContext, org.apache.groovy.parser.antlr4.GroovyParser.ShiftExprAltContext, org.apache.groovy.parser.antlr4.GroovyParser.StandardLambdaExpressionContext, org.apache.groovy.parser.antlr4.GroovyParser.StandardLambdaParametersContext, org.apache.groovy.parser.antlr4.GroovyParser.StatementContext, org.apache.groovy.parser.antlr4.GroovyParser.StatementExpressionContext, org.apache.groovy.parser.antlr4.GroovyParser.StringLiteralAltContext, org.apache.groovy.parser.antlr4.GroovyParser.StringLiteralContext, org.apache.groovy.parser.antlr4.GroovyParser.SuperPrmrAltContext, org.apache.groovy.parser.antlr4.GroovyParser.SwitchBlockStatementExpressionGroupContext, org.apache.groovy.parser.antlr4.GroovyParser.SwitchBlockStatementGroupContext, org.apache.groovy.parser.antlr4.GroovyParser.SwitchExprAltContext, org.apache.groovy.parser.antlr4.GroovyParser.SwitchExpressionContext, org.apache.groovy.parser.antlr4.GroovyParser.SwitchExpressionLabelContext, org.apache.groovy.parser.antlr4.GroovyParser.SwitchLabelContext, org.apache.groovy.parser.antlr4.GroovyParser.SwitchStatementContext, org.apache.groovy.parser.antlr4.GroovyParser.SynchronizedStmtAltContext, org.apache.groovy.parser.antlr4.GroovyParser.ThisFormalParameterContext, org.apache.groovy.parser.antlr4.GroovyParser.ThisPrmrAltContext, org.apache.groovy.parser.antlr4.GroovyParser.ThrowStmtAltContext, org.apache.groovy.parser.antlr4.GroovyParser.TryCatchStatementContext, org.apache.groovy.parser.antlr4.GroovyParser.TryCatchStmtAltContext, org.apache.groovy.parser.antlr4.GroovyParser.TypeArgumentContext, org.apache.groovy.parser.antlr4.GroovyParser.TypeArgumentsContext, org.apache.groovy.parser.antlr4.GroovyParser.TypeArgumentsOrDiamondContext, org.apache.groovy.parser.antlr4.GroovyParser.TypeBoundContext, org.apache.groovy.parser.antlr4.GroovyParser.TypeContext, org.apache.groovy.parser.antlr4.GroovyParser.TypeDeclarationContext, org.apache.groovy.parser.antlr4.GroovyParser.TypeListContext, org.apache.groovy.parser.antlr4.GroovyParser.TypeNamePairContext, org.apache.groovy.parser.antlr4.GroovyParser.TypeNamePairsContext, org.apache.groovy.parser.antlr4.GroovyParser.TypeParameterContext, org.apache.groovy.parser.antlr4.GroovyParser.TypeParametersContext, org.apache.groovy.parser.antlr4.GroovyParser.UnaryAddExprAltContext, org.apache.groovy.parser.antlr4.GroovyParser.UnaryNotExprAltContext, org.apache.groovy.parser.antlr4.GroovyParser.VariableDeclarationContext, org.apache.groovy.parser.antlr4.GroovyParser.VariableDeclaratorContext, org.apache.groovy.parser.antlr4.GroovyParser.VariableDeclaratorIdContext, org.apache.groovy.parser.antlr4.GroovyParser.VariableDeclaratorsContext, org.apache.groovy.parser.antlr4.GroovyParser.VariableInitializerContext, org.apache.groovy.parser.antlr4.GroovyParser.VariableInitializersContext, org.apache.groovy.parser.antlr4.GroovyParser.VariableModifierContext, org.apache.groovy.parser.antlr4.GroovyParser.VariableModifiersContext, org.apache.groovy.parser.antlr4.GroovyParser.VariableModifiersOptContext, org.apache.groovy.parser.antlr4.GroovyParser.VariableNamesContext, org.apache.groovy.parser.antlr4.GroovyParser.WhileStmtAltContext, org.apache.groovy.parser.antlr4.GroovyParser.YieldStatementContext, org.apache.groovy.parser.antlr4.GroovyParser.YieldStmtAltContext`

  ## Nested classes/interfaces inherited from class org.antlr.v4.runtime.Parser

  `org.antlr.v4.runtime.Parser.TraceListener, org.antlr.v4.runtime.Parser.TrimToSizeListener`

- ## Field Summary

  ### Fields inherited from class org.apache.groovy.parser.antlr4.GroovyParser

  `_ATN, _serializedATN, ABSTRACT, ADD, ADD_ASSIGN, AND, AND_ASSIGN, ARROW, AS, ASSERT, ASSIGN, AT, BITAND, BITNOT, BITOR, BooleanLiteral, BREAK, BuiltInPrimitiveType, CapitalizedIdentifier, CASE, CATCH, CLASS, COLON, COMMA, CONST, CONTINUE, DEC, DEF, DEFAULT, DIV, DIV_ASSIGN, DO, DOT, ELLIPSIS, ELSE, ELVIS, ELVIS_ASSIGN, ENUM, EQUAL, EXTENDS, FINAL, FINALLY, FloatingPointLiteral, FOR, GE, GOTO, GStringBegin, GStringEnd, GStringPart, GStringPathPart, GT, IDENTICAL, Identifier, IF, IMPLEMENTS, IMPORT, IN, INC, INSTANCEOF, IntegerLiteral, INTERFACE, LBRACE, LBRACK, LE, LPAREN, LSHIFT_ASSIGN, LT, METHOD_POINTER, METHOD_REFERENCE, MOD, MOD_ASSIGN, MUL, MUL_ASSIGN, NATIVE, NEW, NL, NON_SEALED, NOT, NOT_IDENTICAL, NOT_IN, NOT_INSTANCEOF, NOTEQUAL, NullLiteral, OR, OR_ASSIGN, PACKAGE, PERMITS, POWER, POWER_ASSIGN, PRIVATE, PROTECTED, PUBLIC, QUESTION, RANGE_EXCLUSIVE_FULL, RANGE_EXCLUSIVE_LEFT, RANGE_EXCLUSIVE_RIGHT, RANGE_INCLUSIVE, RBRACE, RBRACK, RECORD, REGEX_FIND, REGEX_MATCH, RETURN, RollBackOne, RPAREN, RSHIFT_ASSIGN, RULE_annotatedQualifiedClassName, RULE_annotation, RULE_annotationName, RULE_annotationsOpt, RULE_anonymousInnerClassDeclaration, RULE_argumentList, RULE_argumentListElement, RULE_arguments, RULE_arrayInitializer, RULE_assertStatement, RULE_block, RULE_blockStatement, RULE_blockStatements, RULE_blockStatementsOpt, RULE_breakStatement, RULE_builtInType, RULE_castOperandExpression, RULE_castParExpression, RULE_catchClause, RULE_catchType, RULE_classBody, RULE_classBodyDeclaration, RULE_classDeclaration, RULE_classicalForControl, RULE_className, RULE_classOrInterfaceModifier, RULE_classOrInterfaceModifiers, RULE_classOrInterfaceModifiersOpt, RULE_classOrInterfaceType, RULE_closure, RULE_closureOrLambdaExpression, RULE_commandArgument, RULE_commandExpression, RULE_commandPrimary, RULE_compactConstructorDeclaration, RULE_compilationUnit, RULE_conditionalStatement, RULE_continueStatement, RULE_createdName, RULE_creator, RULE_dim, RULE_dynamicMemberName, RULE_elementValue, RULE_elementValueArrayInitializer, RULE_elementValuePair, RULE_elementValuePairName, RULE_elementValuePairs, RULE_elementValues, RULE_emptyDims, RULE_emptyDimsOpt, RULE_enhancedArgumentListElement, RULE_enhancedArgumentListInPar, RULE_enhancedForControl, RULE_enhancedStatementExpression, RULE_enumConstant, RULE_enumConstants, RULE_expression, RULE_expressionInPar, RULE_expressionList, RULE_expressionListElement, RULE_fieldDeclaration, RULE_finallyBlock, RULE_firstArgumentListElement, RULE_forControl, RULE_forInit, RULE_formalParameter, RULE_formalParameterList, RULE_formalParameters, RULE_forUpdate, RULE_generalClassOrInterfaceType, RULE_gstring, RULE_gstringPath, RULE_gstringValue, RULE_identifier, RULE_ifElseStatement, RULE_importDeclaration, RULE_indexPropertyArgs, RULE_keywords, RULE_lambdaBody, RULE_lambdaExpression, RULE_lambdaParameters, RULE_list, RULE_literal, RULE_localVariableDeclaration, RULE_loopStatement, RULE_map, RULE_mapEntry, RULE_mapEntryLabel, RULE_mapEntryList, RULE_memberDeclaration, RULE_methodBody, RULE_methodDeclaration, RULE_methodName, RULE_modifier, RULE_modifiers, RULE_modifiersOpt, RULE_namedArg, RULE_namedArgLabel, RULE_namedArgPrimary, RULE_namedPropertyArg, RULE_namedPropertyArgLabel, RULE_namedPropertyArgList, RULE_namedPropertyArgPrimary, RULE_namedPropertyArgs, RULE_namePart, RULE_nls, RULE_nonWildcardTypeArguments, RULE_packageDeclaration, RULE_parExpression, RULE_pathElement, RULE_pathExpression, RULE_postfixExpression, RULE_primary, RULE_primitiveType, RULE_qualifiedClassName, RULE_qualifiedClassNameList, RULE_qualifiedName, RULE_qualifiedNameElement, RULE_qualifiedNameElements, RULE_qualifiedStandardClassName, RULE_resource, RULE_resourceList, RULE_resources, RULE_returnType, RULE_rparen, RULE_scriptStatement, RULE_scriptStatements, RULE_sep, RULE_standardClassOrInterfaceType, RULE_standardLambdaExpression, RULE_standardLambdaParameters, RULE_standardType, RULE_statement, RULE_statementExpression, RULE_stringLiteral, RULE_switchBlockStatementExpressionGroup, RULE_switchBlockStatementGroup, RULE_switchExpression, RULE_switchExpressionLabel, RULE_switchLabel, RULE_switchStatement, RULE_thisFormalParameter, RULE_tryCatchStatement, RULE_type, RULE_typeArgument, RULE_typeArguments, RULE_typeArgumentsOrDiamond, RULE_typeBound, RULE_typeDeclaration, RULE_typeList, RULE_typeNamePair, RULE_typeNamePairs, RULE_typeParameter, RULE_typeParameters, RULE_variableDeclaration, RULE_variableDeclarator, RULE_variableDeclaratorId, RULE_variableDeclarators, RULE_variableInitializer, RULE_variableInitializers, RULE_variableModifier, RULE_variableModifiers, RULE_variableModifiersOpt, RULE_variableNames, RULE_yieldStatement, ruleNames, SAFE_CHAIN_DOT, SAFE_DOT, SAFE_INDEX, SEALED, SEMI, SH_COMMENT, SPACESHIP, SPREAD_DOT, STATIC, STRICTFP, StringLiteral, SUB, SUB_ASSIGN, SUPER, SWITCH, SYNCHRONIZED, THIS, THREADSAFE, THROW, THROWS, tokenNames, TRAIT, TRANSIENT, TRY, UNEXPECTED_CHAR, URSHIFT_ASSIGN, VAR, VOCABULARY, VOID, VOLATILE, WHILE, WS, XOR, XOR_ASSIGN, YIELD`

  ### Fields inherited from class org.antlr.v4.runtime.Parser

  `_buildParseTrees, _ctx, _errHandler, _input, _parseListeners, _precedenceStack, _syntaxErrors, matchedEOF`

  ### Fields inherited from class org.antlr.v4.runtime.Recognizer

  `_interp, EOF`

  ### Fields inherited from interface org.apache.groovy.parser.antlr4.SyntaxErrorReportable

  `NO_OFFSET`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroovyLangParser(org.antlr.v4.runtime.TokenStream input)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.antlr.v4.runtime.FailedPredicateException`
  `createFailedPredicateException(String predicate, String message)`

  ### Methods inherited from class org.apache.groovy.parser.antlr4.GroovyParser

  `annotatedQualifiedClassName, annotation, annotationName, annotationsOpt, anonymousInnerClassDeclaration, argumentList, argumentListElement, arguments, arrayInitializer, assertStatement, block, blockStatement, blockStatements, blockStatementsOpt, breakStatement, builtInType, castOperandExpression, castParExpression, catchClause, catchType, classBody, classBodyDeclaration, classDeclaration, classicalForControl, className, classOrInterfaceModifier, classOrInterfaceModifiers, classOrInterfaceModifiersOpt, classOrInterfaceType, closure, closureOrLambdaExpression, commandArgument, commandExpression, commandPrimary, compactConstructorDeclaration, compilationUnit, conditionalStatement, continueStatement, createdName, creator, dim, dynamicMemberName, elementValue, elementValueArrayInitializer, elementValuePair, elementValuePairName, elementValuePairs, elementValues, emptyDims, emptyDimsOpt, enhancedArgumentListElement, enhancedArgumentListInPar, enhancedForControl, enhancedStatementExpression, enumConstant, enumConstants, expression, expressionInPar, expressionList, expressionListElement, fieldDeclaration, finallyBlock, firstArgumentListElement, forControl, forInit, formalParameter, formalParameterList, formalParameters, forUpdate, generalClassOrInterfaceType, getErrorColumn, getErrorLine, getGrammarFileName, getRuleNames, getSerializedATN, getSyntaxErrorSource, getTokenNames, getVocabulary, gstring, gstringPath, gstringValue, identifier, ifElseStatement, importDeclaration, indexPropertyArgs, keywords, lambdaBody, lambdaExpression, lambdaParameters, list, literal, localVariableDeclaration, loopStatement, map, mapEntry, mapEntryLabel, mapEntryList, memberDeclaration, methodBody, methodDeclaration, methodName, modifier, modifiers, modifiersOpt, namedArg, namedArgLabel, namedArgPrimary, namedPropertyArg, namedPropertyArgLabel, namedPropertyArgList, namedPropertyArgPrimary, namedPropertyArgs, namePart, nls, nonWildcardTypeArguments, packageDeclaration, parExpression, pathElement, pathExpression, postfixExpression, primary, primitiveType, qualifiedClassName, qualifiedClassNameList, qualifiedName, qualifiedNameElement, qualifiedNameElements, qualifiedStandardClassName, resource, resourceList, resources, returnType, rparen, scriptStatement, scriptStatements, sempred, sep, standardClassOrInterfaceType, standardLambdaExpression, standardLambdaParameters, standardType, statement, statementExpression, stringLiteral, switchBlockStatementExpressionGroup, switchBlockStatementGroup, switchExpression, switchExpressionLabel, switchLabel, switchStatement, thisFormalParameter, tryCatchStatement, type, typeArgument, typeArguments, typeArgumentsOrDiamond, typeBound, typeDeclaration, typeList, typeNamePair, typeNamePairs, typeParameter, typeParameters, variableDeclaration, variableDeclarator, variableDeclaratorId, variableDeclarators, variableInitializer, variableInitializers, variableModifier, variableModifiers, variableModifiersOpt, variableNames, yieldStatement`

  ### Methods inherited from class org.antlr.v4.runtime.Parser

  `addContextToParseTree, addParseListener, compileParseTreePattern, compileParseTreePattern, consume, createErrorNode, createTerminalNode, dumpDFA, enterLeftFactoredRule, enterOuterAlt, enterRecursionRule, enterRecursionRule, enterRule, exitRule, getATNWithBypassAlts, getBuildParseTree, getContext, getCurrentToken, getDFAStrings, getErrorHandler, getErrorListenerDispatch, getExpectedTokens, getExpectedTokensWithinCurrentRule, getInputStream, getInvokingContext, getNumberOfSyntaxErrors, getParseInfo, getParseListeners, getPrecedence, getRuleContext, getRuleIndex, getRuleInvocationStack, getRuleInvocationStack, getSourceName, getTokenFactory, getTrimParseTree, inContext, isExpectedToken, isMatchedEOF, isTrace, match, matchWildcard, notifyErrorListeners, notifyErrorListeners, precpred, pushNewRecursionContext, removeParseListener, removeParseListeners, reset, setBuildParseTree, setContext, setErrorHandler, setInputStream, setProfile, setTrace, setTrimParseTree, triggerEnterRuleEvent, triggerExitRuleEvent, unrollRecursionContexts`

  ### Methods inherited from class org.antlr.v4.runtime.Recognizer

  `action, addErrorListener, getATN, getErrorHeader, getErrorListeners, getInterpreter, getRuleIndexMap, getState, getTokenErrorDisplay, getTokenType, getTokenTypeMap, removeErrorListener, removeErrorListeners, setInterpreter, setState`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.groovy.parser.antlr4.SyntaxErrorReportable

  `genPositionInfo, genPositionInfo, require, require, require, require, require, require, throwSyntaxError, throwSyntaxError`

- ## Constructor Details

  - ### GroovyLangParser

    public GroovyLangParser(org.antlr.v4.runtime.TokenStream input)

- ## Method Details

  - ### createFailedPredicateException

    protected org.antlr.v4.runtime.FailedPredicateException createFailedPredicateException(String predicate, String message)
    Overrides:
      `createFailedPredicateException` in class `org.apache.groovy.parser.antlr4.GroovyParser`